# react-native-chartjs
用法：
将表格的参数作为chartConfiguration传入
示例代码：
```
import React, {
  Component
} from 'react';
import {
  Platform,
  StyleSheet,
  Text,
  View
} from 'react-native';

import Chart from 'react-native-chartjs';
const chartConfiguration = {
    type: 'bar',
    data: {
      labels: ["Red", "Blue", "Yellow", "Green", "Purple", "Orange"],
      datasets: [{
        label: '# of Votes',
        data: [12, 19, 3, 5, 2, 3],
        backgroundColor: [
          'rgba(255, 99, 132, 0.2)',
          'rgba(54, 162, 235, 0.2)',
          'rgba(255, 206, 86, 0.2)',
          'rgba(75, 192, 192, 0.2)',
          'rgba(153, 102, 255, 0.2)',
          'rgba(255, 159, 64, 0.2)'
        ],
        borderColor: [
          'rgba(255,99,132,1)',
          'rgba(54, 162, 235, 1)',
          'rgba(255, 206, 86, 1)',
          'rgba(75, 192, 192, 1)',
          'rgba(153, 102, 255, 1)',
          'rgba(255, 159, 64, 1)'
        ],
        borderWidth: 1
      }]
    },
    options: {
      maintainAspectRatio : false,
      scales: {
        yAxes: [{
          ticks: {
            beginAtZero: true
          }
        }]
      }
    }
  
}; 
export default class App extends Component < {} > {
  constructor(props) {
    super(props);
  
    this.state = {
      chartConfiguration : chartConfiguration
    };
  }
  render() {
    
    return ( 
      <View style = {{ flex : 1 }}>    
          <Chart chartConfiguration = {
            this.state.chartConfiguration
          }
	   defaultFontSize={20}/>  
      </View> 
    );
  }
}
```
